Foreman - Bug #6476

Unable to associate oVirt VM with multiple interfaces
07/02/2014 01:14 PM - Trey Dockendorf

Status: Closed
Priority: Normal
Assignee: Trey Dockendorf
Category: Compute resources
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1693
Description

| have a Host in Foreman that was associated to a Libvirt compute resource. | disassociated it after migrating it to oVirt. When |
attempt to re-associate that VM to the oVirt compute resource it fails with "No host found to associate this VM with".

Looking at the Rails console | see it's trying to query the DB using wrong MAC address as the search condition.

> Host.find_by_name ('syslog.brazos.tamu.edu') .mac
Host::Managed Load (0.2ms) SELECT “hosts'.* FROM "hosts® WHERE "hosts’ . type

IN ('Host::Managed') AND "hosts . name’ = 'syslog.brazos.tamu.edu' LIMIT 1

=> "52:54:00:ea:a8:40"

> @compute_resource = ComputeResource.find(2)

> @vm = @compute_resource.find_vm_by_uuid('534078e6-678b-4490-8£68-604002881ca2')

> host = @compute_resource.associated_host (@vm) if @compute_resource.respond_to? (:associated_host)
Host::Managed Load (1.2ms) SELECT “hosts’ .* FROM "hosts’® WHERE “hosts' . type
IN ('Host::Managed') AND “hosts . mac’ = '52:54:00:dc:9d:bd' LIMIT 1

=> nil

That host's secondary interface is used in the SELECT statement. My guess is because when the two are "sorted", that one is first.

irb(main) :018:0> @vm.interfaces
=> <Fog::Compute::0virt::Interfaces
[
<Fog::Compute::0Ovirt::Interface
1id="d257a1la3-82b3-457e-9da2-364d0b269038",
name="ethl",
network="3d3dac29-4642-4df1-a860-91606d6c08ab",
interface="virtio",
mac="52:54:00:dc:9d:bd"
>I
<Fog::Compute::0Ovirt::Interface
1d="218c9%e72-6blb-4fe7-a807-dcl77ef7£9%f",
name="eth0",
network="00000000-0000-0000-0000-000000000009",
interface="virtio",
mac="52:54:00:ea:a8:40"

>

irb(main) :019:0> @vm.interfaces.first

=> <Fog::Compute::0Ovirt::Interface
1id="d257ala3-82b3-457e-9da2-364d0b269038",
name="ethl",
network="3d3dac29-4642-4df1-a860-91606d6c08ab",
interface="virtio",
mac="52:54:00:dc:9d:bd"
Associated revisions

Revision 5743465b - 08/15/2014 08:12 AM - Trey Dockendorf

Fixes #6476 - oVirt VM association with multiple interfaces

Revision 1fd5¢365 - 08/27/2014 08:02 AM - Trey Dockendorf

Fixes #6476 - oVirt VM association with multiple interfaces

(cherry picked from commit 5743465be5ecf59d94b37e728ab46f9d00adebe2)

History

#1 - 07/07/2014 04:13 AM - Dominic Cleal

- Category set to Compute resources

- Status changed from New to Ready For Testing
- Assignee set to Trey Dockendorf

- Target version set to 1.8.1

https://github.com/theforeman/foreman/pull/1555

#2 - 07/07/2014 07:26 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#3 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#4 - 08/15/2014 07:25 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/1693 added

#5 - 08/15/2014 08:07 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#6 - 08/15/2014 09:02 AM - Trey Dockendorf
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5743465be5ecf59d94b37e728ab46f9d00adebe?2.
